;
window.W = window.W || {};


;
(function(undefined) {
    'use strict';

    W.ScoreCollection = Backbone.PageableCollection.extend({
        url: '/api/scores/',

        model: W.ScoreModel,

        // see <http://borodaalex.blogspot.be/2016/02/pagination-and-filtering-with.html>
        parseState: function (resp, queryParams, state, options) {
            return {totalRecords: resp.count};
        },

        parseRecords: function (resp, options) {
            return resp.results;
        },

        queryParams: {
            currentPage: "page",
            pageSize: "page_size",
            totalRecords: "count",
            // See <https://github.com/backbone-paginator/backbone.paginator/issues/264>
            order: null,
            sortKey: "ordering",
            ordering: function () {
                var sortKey = this.state.sortKey, order = this.state.order;
                if (sortKey && order !== 0) {
                    return (order === 1 ? '-' : '') + sortKey;
                }
                return null;
            }
        }
    });


    W.LineCollection = Backbone.Collection.extend({
        model: W.LineModel
    });
})();
