;
window.W = window.W || {};


;
(function (undefined) {
    'use strict';

    W.ScoreController = Backbone.Marionette.Object.extend({
        home: function () {
            var baseView = this.getOption('application').getView();
            var view = new W.HomeView();
            baseView.showChildView('main', view);
        },
        about: function () {
            var baseView = this.getOption('application').getView();
            var view = new W.AboutView();
            baseView.showChildView('main', view);
        },
        userList: function () {
            var baseView = this.getOption('application').getView();
            var view = new W.UserListView();
            baseView.showChildView('main', view);
        },
        userDetail: function () {
            var baseView = this.getOption('application').getView();
            var view = new W.UserDetailView();
            baseView.showChildView('main', view);
        },
        scoreList: function () {
            var baseView = this.getOption('application').getView();
            var view = new W.ScoreListView();
            baseView.showChildView('main', view);
        },
        scoreDetail: function (id) {
            var baseView = this.getOption('application').getView();

            // Backbone relational refuse to instantiate more than one model
            // with the same id
            var scoreModel = W.ScoreModel.find({ id: id }) || new W.ScoreModel({ id: id });

            var myScoreDetailView = new W.ScoreDetailView({ model: scoreModel });

            // Attach the views when the model is successfully fetched
            scoreModel.fetch({
                success: (function () {
                    baseView.showChildView('main', myScoreDetailView);
                }).bind(this)
            });

            baseView.getChildView('header').triggerMethod("hide");
        }
    });
})();
