;
window.W = window.W || {};


;
(function(undefined) {
    'use strict';

    W.ScoreApp = new Backbone.Marionette.Application({
        region: 'body',

        onStart: function(options) {
            var userModel = new W.UserModel();
            this.showView(new W.BaseView({model: userModel}));
            userModel.fetch();

            var router = new W.ScoreRouter({application: this});

            $(document).on("click", "a", function(e) {
                // Do not interfere with Backbone Paginator.
                if (! e.isDefaultPrevented()) {
                    e.preventDefault(); // This is important

                    var href = $(e.currentTarget).attr('href');

                    router.navigate(href, true);
                };
            });

            /** Starts the URL handling framework */
            Backbone.history.start({
                pushState: true,
            });
        }
    });
})();
